library appengine_spark;

import 'package:flutter/material.dart';

class ActivityView extends StatelessWidget {
  final double size;
  final int fillColor;
  final int strokeColor;
  final double strokeWidth;
  final double padding;
  final double fillOpacity;
  ActivityView({
    this.size = 36,
    this.fillColor = 0xFFFFFFFF,
    this.strokeColor = 0xFFFFFFFF,
    this.strokeWidth = 2,
    this.padding = 3,
    this.fillOpacity = 1,
  }) : super();

  @override
  Widget build(BuildContext context) {
    return Container(
      child: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: <Widget>[
            Container(
              child: Padding(
                  padding: EdgeInsets.all(padding),
                  child: CircularProgressIndicator(
                      valueColor: AlwaysStoppedAnimation(Color(strokeColor)),
                      strokeWidth: strokeWidth)),
              height: size,
              width: size,
              decoration: BoxDecoration(
                color: Color(fillColor).withOpacity(fillOpacity),
                borderRadius: BorderRadius.circular(size / 2),
              ),
            )
          ],
        ),
      ),
    );
  }
}
