library appengine_spark;

import 'package:appengine_spark/core/activity_view.dart';
import 'package:flutter/material.dart';

class SparkGradientButton extends StatelessWidget {
  final bool disabled;
  final bool loading;
  final double width;
  final double height;
  final VoidCallback onPressed;
  final String label;

  SparkGradientButton({
    Key key,
    this.disabled = false,
    this.loading = false,
    this.width = 300,
    this.height = 44,
    this.onPressed,
    this.label = 'Signin',
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return InkWell(
      child: Container(
          width: width,
          height: height,
          decoration: BoxDecoration(
              gradient: LinearGradient(colors: [
                Color(0xFFff5b76),
                Color(0xFFe55359),
                Color(0xFFe84c3d),
              ]),
              borderRadius: BorderRadius.circular(8.0),
              boxShadow: [
                BoxShadow(
                    color: Color(0xFFe55359).withOpacity(.4),
                    offset: Offset(0.8, 8.0),
                    blurRadius: 8.0)
              ]),
          child: Stack(
            fit: StackFit.expand,
            children: <Widget>[
              Material(
                color: Colors.transparent,
                child: InkWell(
                  onTap: !loading ? this.onPressed : null,
                  child: Center(
                    child: Text(label,
                        style: TextStyle(
                            color: Colors.white,
                            fontFamily: "Poppins-Bold",
                            fontSize: 15,
                            fontWeight: FontWeight.w500,
                            letterSpacing: 1.0)),
                  ),
                ),
              ),
              loading
                  ? ActivityView(
                      size: 36,
                      strokeColor: 0xFFe55359,
                      fillOpacity: 0.7,
                      fillColor: 0xFFFFFFFF,
                    )
                  : SizedBox.shrink()
            ],
          )),
    );
  }
}
